PUT
/
perks
/
consumers
/
{consumer_id}
/
kyc
Create or update a consumer's KYC (Mangopay natural user).
curl --request PUT \
--url https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/kyc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"address": {
"address_line_1": "12 rue de la Paix",
"city": "Paris",
"country": "FR",
"postal_code": "75002",
"address_line_2": "Bâtiment B",
"region": "Île-de-France"
},
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"birthday": "1990-05-15",
"country_of_residence": "FR",
"nationality": "FR"
}
'import requests
url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/kyc"
payload = {
"address": {
"address_line_1": "12 rue de la Paix",
"city": "Paris",
"country": "FR",
"postal_code": "75002",
"address_line_2": "Bâtiment B",
"region": "Île-de-France"
},
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"birthday": "1990-05-15",
"country_of_residence": "FR",
"nationality": "FR"
}
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address: {
address_line_1: '12 rue de la Paix',
city: 'Paris',
country: 'FR',
postal_code: '75002',
address_line_2: 'Bâtiment B',
region: 'Île-de-France'
},
email: 'jane.doe@example.com',
first_name: 'Jane',
last_name: 'Doe',
birthday: '1990-05-15',
country_of_residence: 'FR',
nationality: 'FR'
})
};
fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/kyc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"address_line_1": "12 rue de la Paix",
"city": "Paris",
"country": "FR",
"postal_code": "75002",
"address_line_2": "Bâtiment B",
"region": "Île-de-France"
},
"birthday": "1990-05-15",
"country_of_residence": "FR",
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"nationality": "FR",
"natural_user_id": "mp-nat-000123",
"status": "VALIDATED"
}{
"code": "PL-400-06",
"status": 400,
"title": "KYC Rejected"
}{
"code": "PL-401-00",
"status": 401,
"title": "Unauthorized"
}{
"code": "PL-403-01",
"status": 403,
"title": "Consumer Pool Not Enabled"
}{
"code": "PL-404-02",
"status": 404,
"title": "Consumer Not Enrolled"
}{
"code": "PL-502-03",
"status": 502,
"title": "PSP Service Unavailable"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Required string length:
2 - 100Pattern:
^[a-zA-Z0-9_-]+$Example:
"consumer-12345"
Body
application/json
Residential address of the consumer. Required by the PSP to create the consumer's payout recipient.
Show child attributes
Show child attributes
Example:
"jane.doe@example.com"
Minimum string length:
1Example:
"Jane"
Minimum string length:
1Example:
"Doe"
Example:
"1990-05-15"
Example:
"FR"
Example:
"FR"
Response
Successful Response
Residential address of the consumer stored on the PSP.
Show child attributes
Show child attributes
Example:
"1990-05-15"
Example:
"FR"
Example:
"jane.doe@example.com"
Example:
"Jane"
Example:
"Doe"
Example:
"FR"
Example:
"mp-nat-000123"
Example:
"VALIDATED"
Was this page helpful?
⌘I
Create or update a consumer's KYC (Mangopay natural user).
